# Generated by Django 3.2.22 on 2023-10-16 09:19

from django.db import migrations, models

def fwd(apps, schema_editor):
    PlantUsages = apps.get_model('core', 'PlantUsages')
    for plantUsage in PlantUsages.objects.all():
        plantUsage.stratum = ''
        plantUsage.save()

def bwd(apps, schema_editor):
    PlantUsages = apps.get_model('core', 'PlantUsages')
    for plantUsage in PlantUsages.objects.all():
        plantUsage.stratum = False
        plantUsage.save()

class Migration(migrations.Migration):

    dependencies = [
        ('core', '0027_add_usages'),
    ]

    operations = [
        migrations.AlterField(
            model_name='historicalplantusages',
            name='stratum',
            field=models.CharField(choices=[('HERB', 'Herb'), ('SHRUB', 'Shrub'), ('TREE', 'Tree')], default='',
                                   max_length=5, null=False),
        ),
        migrations.AlterField(
            model_name='plantusages',
            name='stratum',
            field=models.CharField(choices=[('HERB', 'Herb'), ('SHRUB', 'Shrub'), ('TREE', 'Tree')], default='',
                                   max_length=5, null=False),
        ),
        migrations.RunPython(fwd, bwd),
    ]
